package domain


type AlibabaWdkSkuCombineskuQuerySkuQueryDO struct {
    /*
        门店或DC编码,如果填写了渠道店id，该字段会被忽略     */
    OuCode  *string `json:"ou_code,omitempty" `

    /*
        渠道编码（默认4）,如果填写了渠道店id，该字段会被忽略 defalutValue:4    */
    ChannelCode  *string `json:"channel_code,omitempty" `

    /*
        商品编码（多个条码用英文逗号隔开，最多支持20个）     */
    SkuCodes  *[]string `json:"sku_codes,omitempty" `

    /*
        渠道店id     */
    ShopId  *string `json:"shop_id,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuQuerySkuQueryDO) SetOuCode(v string) *AlibabaWdkSkuCombineskuQuerySkuQueryDO {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuQueryDO) SetChannelCode(v string) *AlibabaWdkSkuCombineskuQuerySkuQueryDO {
    s.ChannelCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuQueryDO) SetSkuCodes(v []string) *AlibabaWdkSkuCombineskuQuerySkuQueryDO {
    s.SkuCodes = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuQuerySkuQueryDO) SetShopId(v string) *AlibabaWdkSkuCombineskuQuerySkuQueryDO {
    s.ShopId = &v
    return s
}
